<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load static %}
{% load question_tags %}


<!-- 写入 base.html 中定义的 title -->
{% block title %}

{{ this_user.username }}的空间

{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}
<div class="text-center mt-4">
    <h4><b>{{ this_user.username }}的空间</b></h4>
</div>

<!-- 定义放置文章标题的div容器 -->
<div class="container">


    <div class="row mt-2">

        {% for ob in column_content %}

        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if ob.column %}
                <a href="/blocks/blocks-list3/{{ ob.column.title }}">
                <button type="button"
                    class="btn btn-sm mb-2 {{ ob.column.title|button_type }}">
                    {{ ob.column }}
                </button>
                </a>
            {% endif %}

            <!-- 标题 -->
            <h4>
                <b>
                    {% if ob.type == 'question' %}
                    <a href="{% url 'question:question_detail' ob.id %}"
                       style="color: black;"
                    >
                        {{ ob.title }}
                    </a>
                    {% else %}
                    <a href="{% url 'article:article_detail' ob.id %}"
                       style="color: black;"
                    >
                        {{ ob.title }}
                    </a>
                    {% endif %}
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ ob.body|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->

                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ ob.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fa fa-battery-full" aria-hidden="true"></i>
                    {{ ob.type }}
                </span>
            </p>
        </div>
        <hr style="width: 100%;"/>

        {% endfor %}

    </div>
  <!-- 页码导航 -->
    <div class="pagination row">
        <div class="m-auto">
            <span class="step-links">
                <!-- 如果不是第一页，则显示上翻按钮 -->
                {% if column_content.has_previous %}
                    <a href="?page=1" class="btn btn-success">
                        &laquo; 1
                    </a>
                    <span>...</span>
                    <a href="?page={{ column_content.previous_page_number }}" class="btn btn-secondary">
                        {{ column_content.previous_page_number }}
                    </a>
                {% endif %}

                <!-- 当前页面 -->
                <span class="current btn btn-danger btn-lg">
                    {{ column_content.number }}
                </span>

                <!-- 如果不是最末页，则显示下翻按钮 -->
                {% if column_content.has_next %}
                    <a href="?page={{ column_content.next_page_number }}" class="btn btn-secondary">
                        {{ column_content.next_page_number }}
                    </a>
                    <span>...</span>
                    <a href="?page={{ column_content.paginator.num_pages }}"class="btn btn-success">
                        {{ column_content.paginator.num_pages }} &raquo;
                    </a>
                {% endif %}
            </span>
        </div>
    </div>

</div>

{% endblock content %}